//*****************************************************************************
//*
//*
//*		TcpTester.h
//*
//*
//*****************************************************************************
#ifndef 	__TCPTESTER_H__
#define 	__TCPTESTER_H__


#ifdef	  __cplusplus
#define		TTS_API	extern "C"
#ifndef		D
#define		D(a)	a
#endif 	
#else
#define		TTS_API	
#ifndef		D
#define		D(a)	
#endif 	
#endif 	

#define 	TTE_PORT		43971
#define 	TTE_MAX_CONN	127

#ifndef		TTE_LOG_SAVE
#define		TTE_LOG_SAVE	1
#endif 	

typedef struct
	{
	const char     *pName;
	int				iParam1;	
	int				iParam2;	
	int				iParam3;	
	unsigned char 	ucTurn;
	unsigned char 	ucConn;
	unsigned short	usPort;
	unsigned short	usConnState;
	unsigned short	usConnFlags;
	int				iRecvAvail;
	short 			iMboxCount;
	short 			iMemCount;
	}TteInfo;

#if					TTE_LOG_SAVE			
#define			 	TcpTesterLog(i)   TcpTesterPacket(i,0,0,255);
TTS_API		int 	TcpTesterPacket(const TteInfo *pInfo,void *pPacket,unsigned uSize,unsigned uType);
TTS_API		void	TcpTesterError (int iConn,int iTurn,int iPort,const char *pFormat,int iParam1 D(=0),int iParam2 D(=0));
TTS_API		int		TcpTesterInit  (int iConnections D(=0),const char *pIpAddress D(=0));
TTS_API		int		TcpTesterSaveLog(const char *pFileName);
TTS_API		int		TcpTesterExit  ();
#else
#define			 	TcpTesterLog(i)
static _inline int	TcpTesterSaveLog(const char *pFileName){return 1;}
static _inline int	TcpTesterPacket(const TteInfo *pInfo,void *pPacket,unsigned uSize,unsigned uType){return 0;}
static _inline void	TcpTesterError(int iConn,int iTurn,int iPort,const char *pFormat,int iParam1 D(=0),int iParam2 D(=0)){};
static _inline int	TcpTesterInit(int iConnections D(=0),const char *pIpAddress D(=0)){return 1;}
static _inline int	TcpTesterExit(){return 1;};
#endif 	


#endif 	